Name: hardinfo
Version: 0.4.2.2
Release: 7%{?dist}
Summary: System Profiler and Benchmark      

Group: Applications/System    
License: GPLv2        
URL: http://hardinfo.berlios.de/            
Source0:  http://download.berlios.de/hardinfo/%{name}-%{version}.tar.bz2  
Patch0: multilibfix.patch  
Patch1: fixsensors.patch 
Patch2: fixuserdsp.patch
Patch3: libzfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libsoup-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pciutils 

Requires:  pciutils 

%description
HardInfo can gather information about a system's hardware and operating system,
perform benchmarks, and generate printable reports either in HTML or in plain 
text formats

%prep
%setup -q
#fix multilib build isses (upstream working on better one)
%patch0 -p1 -b .multilib
#fix sensors segfault
%patch1 -p1 -b .fixsensors
#use correct uids
%patch2 -p1 -b .fixuserdsp
#fix libz.so detection
%patch3 -p1 -b .libzfix

%build
export LIBDIR=%{_libdir}
%configure
make %{?_smp_mflags} ARCHOPTS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} 
desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/hardinfo.desktop
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/hardinfo.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/hardinfo
%{_libdir}/hardinfo
%{_datadir}/hardinfo
%{_datadir}/applications/fedora-hardinfo.desktop
%doc LICENSE



%changelog
* Wed Sep 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-6
- Fix libz location (/lib(64) vs /usr/lib(64))

* Sun Sep 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-5
- Fix libz detection RH #274381

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-4
- Update License tag

* Thu Aug 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-3
- Backport cleanups from devel
- Fix and reenable sensor reading
- Remove zlib requires
- Fix group

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-2
- In Fedora (human)uids start with 500 not 1000

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-1
- Initial Build
